# Interface Signature.RefTypeSig

All Superinterfaces:
  `Signature`

All Known Subinterfaces:
  `Signature.ArrayTypeSig, Signature.ClassTypeSig, Signature.TypeVarSig`

Enclosing interface:
  `Signature`

public static sealed interface Signature.RefTypeSig extends Signature permits Signature.ArrayTypeSig, Signature.ClassTypeSig, Signature.TypeVarSig
Models the signature of a reference type, which may be a class, interface, type variable, or array type.

See Java Language Specification:
  4.3 Reference Types and Values
See Java Virtual Machine Specification:
  4.7.9.1 Signatures
Sealed Class Hierarchy Graph:
Since:
  24

## Nested Class Summary

### Nested classes/interfaces declared in interface Signature

`Signature.ArrayTypeSig, Signature.BaseTypeSig, Signature.ClassTypeSig, Signature.RefTypeSig, Signature.ThrowableSig, Signature.TypeArg, Signature.TypeParam, Signature.TypeVarSig`

## Method Summary

### Methods declared in interface Signature

`signatureString`